# Bug description

Clearly and concisely describe the problem or feature (this cannot be empty).

## Root cause

Briefly describe the root cause and analysis of the problem.
If there is an internal discussion on the forum, provide the link.

## Reason for not identifying earlier

Find how it was missed in our earlier testing and development and by whom it was missed. This will help prevent similar mistakes in the future.

### Reason

Provide reason for missing.

### Action taken:

Provide the action plan taken to avoid this issue further. Also, mention if we addressed any other area in the same product based on this learning.

### Related Area for missing test case: 

Unit test case / E2E test case / Manual testing

## Is it a breaking issue?

If it is a breaking issue, provide the commit detail which caused this break.

## Solution description

Describe your code changes in detail for reviewers.

### Cause:

Technical explanation for cause.

### Fix: 

Technical explanation for your fix.

## Output screenshots

Post the output screenshots if an UI is affected or added due to this bug.

### Before issue fix output image:

Provide issue image before fix.

### After issue fix output image:

Provide issue fixed image with your fix.

## Areas affected and ensured

List the areas affected by your code changes.

## Additional checklist

- [ ] Did you run the automation against your fix? <b> Yes | No Your Explanation </b>

- [ ] Is there any API name change? <b> Yes | No Your Explanation </b>

- [ ] Is there any existing behavior change of other features due to this code change? <b> Yes | No Your Explanation </b>

- [ ] Did you record this case in the unit test or UI test? <b> Yes | No Your Explanation </b>

- [ ] Did you added issue fix comment? <b> Yes | No Your Explanation </b>

- [ ] Did you tested this issue fix for all browsers? <b> [ ] Chrome [ ] Firefox [ ] Edge [ ] Internet Explorer </b>

- [ ] Does it have any known issues? <b> Yes | No Your Explanation </b>
